Bug 492371 - Anaconda doesn't remove LVM metadata
Anaconda doesn't remove LVM metadata
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: anaconda (Show other bugs)
4.8
ia64 Linux
high Severity high
: rc
: ---
Assigned To: Anaconda Maintenance Team
Release Test Team
:
Depends On:
Blocks: RHEL4u8_relnotes
  Show dependency treegraph
 
Reported: 2009-03-26 12:30 EDT by Alexander Todorov
Modified: 2009-04-07 18:32 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
During installation anaconda may not remove all the Logical Volume Manager (LVM) meta-data that exists on a system prior to installation. This extra meta-data may cause LVM tools to report missing volume groups or logical volumes after installation. To work around this issue, remove the stale LVM meta-data after the installation is complete.
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-03-27 11:52:03 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Alexander Todorov 2009-03-26 12:30:46 EDT
Description of problem:
Looks like LVM metadata from previous install was not removed. See the URLs below

Version-Release number of selected component (if applicable):
anaconda-10.1.1.101-1.ia64.rpm

How reproducible:
On particular hardware only.

Steps to Reproduce:
1. Install a system with default LVM partitioning configuration.
2. Install again with LVM partitioning. Name volume groups and logical volumes differently that the default. 

  
Actual results:
LVM tools report 2 different volume groups after the second install

Expected results:
All metadata is removed. Only the existing volume group is reported by LVM tools.

Additional info:
ks.cfg - one volume group only:
https://rhts.redhat.com/testlogs/52237/176222/1465557/ks.cfg

# Partition clearing information
clearpart --all --initlabel 
# Disk partitioning information
part /boot/efi --asprimary --fstype="vfat" --size=200
part swap --fstype="swap" --recommended
part /multi-stage --fstype="ext3" --size=100
part pv.01 --grow --maxsize=3072 --size=1536
part pv.02 --grow --maxsize=3072 --size=1536
volgroup SNAKEVG --pesize=32768 pv.01 pv.02
logvol /  --fstype="ext3" --grow --maxsize=10240 --size=2048 --name=SNAKEROOT --vgname=SNAKEVG
logvol swap  --fstype="swap" --recommended --name=SNAKE_SWAP --vgname=SNAKEVG
logvol /SNAKE-LV0  --fstype="ext3" --grow --maxsize=1024 --size=1024 --name=SNAKELV0 --vgname=SNAKEVG

vgdisplay shows two volume groups: SNAKEVG, VolGroup00

vgdisplay output:
https://rhts.redhat.com/testlogs/52237/176222/1465559/vgdisplay.log

lvdisplay output:
https://rhts.redhat.com/testlogs/52237/176222/1465559/lvdisplay.log

pvdisplay output:
https://rhts.redhat.com/testlogs/52237/176222/1465559/pvdisplay.log

lvmout.log during install:
https://rhts.redhat.com/testlogs/52237/176222/1465557/lvmout.log

    Finding all logical volumes
    Wiping cache of LVM-capable devices
  Couldn't find device with uuid 'nSJOvi-T7Lo-22jI-Mf7c-JLa4-hfCq-BK83IF'.
  Couldn't find device with uuid 'ZZ3exw-ddEg-kBAA-82Af-fX84-LpRM-M1RVIS'.
  Couldn't find device with uuid 'cJwo39-BZYA-Ssu7-swOs-xjDH-gGZ0-U8H2EM'.
    There are 3 physical volumes missing.
    visited LogVol00
    visited LogVol01
dn't find device with uuid 'cJwo39-BZYA-Ssu7-swOs-xjDH-gGZ0-U8H2EM'.
  LV LogVol00: segment 1 has inconsistent PV area 0
  LV LogVol00: segment 2 has inconsistent PV area 0
  Couldn't read all logical volumes for volume group VolGroup00.
  Couldn't find device with uuid 'nSJOvi-T7Lo-22jI-Mf7c-JLa4-hfCq-BK83IF'.
  Couldn't find device with uuid 'ZZ3exw-ddEg-kBAA-82Af-fX84-LpRM-M1RVIS'.
  Couldn't find device with uuid 'cJwo39-BZYA-Ssu7-swOs-xjDH-gGZ0-U8H2EM'.
  Refusing activation of partial LV LogVol00. Use --partial to override.
  Couldn't find device with uuid 'nSJOvi-T7Lo-22jI-Mf7c-JLa4-hfCq-BK83IF'.
  Couldn't find device with uuid 'ZZ3exw-ddEg-kBAA-82Af-fX84-LpRM-M1RVIS'.
  Couldn't find device with uuid 'cJwo39-BZYA-Ssu7-swOs-xjDH-gGZ0-U8H2EM'.
  LV LogVol00: segment 1 has inconsistent PV area 0
  LV LogVol00: segment 2 has inconsistent PV area 0
  Couldn't read all logical volumes for volume group VolGroup00.
  Couldn't find device with uuid 'nSJOvi-T7Lo-22jI-Mf7c-JLa4-hfCq-BK83IF'.
  Couldn't find device with uuid 'ZZ3exw-ddEg-kBAA-82Af-fX84-LpRM-M1RVIS'.
  Couldn't find device with uuid 'cJwo39-BZYA-Ssu7-swOs-xjDH-gGZ0-U8H2EM'.
  Refusing activation of partial LV LogVol01. Use --partial to override.
  3 logical volume(s) in volume group "SNAKEVG" now active
  0 logical volume(s) in volume group "VolGroup00" now active
Comment 1 Alexander Todorov 2009-03-26 12:32:36 EDT
Failing machines (2/3 so far):
pq0-0.lab.bos.redhat.com - 
https://rhts.redhat.com/cgi-bin/rhts/jobs.cgi?id=52237&type=Single

hp-rx2600-1a.test.redhat.com - 
https://rhts.redhat.com/cgi-bin/rhts/jobs.cgi?id=52181&type=Single
Comment 5 Alexander Todorov 2009-03-27 09:24:47 EDT
Release note added. If any revisions are required, please set the 
"requires_release_notes" flag to "?" and edit the "Release Notes" field accordingly.
All revisions will be proofread by the Engineering Content Services team.

New Contents:
During install anaconda may not remove LVM metadata that is already present on the system. This will cause LVM tools to report missing volume groups or logical volumes after the installation is complete. Once the system is up and running you can remove the stale LVM metadata to work around this issue.
Comment 6 Joel Andres Granados 2009-03-27 11:52:03 EDT
Its going to be a rel note.
Comment 8 Ryan Lerch 2009-04-07 18:32:44 EDT
Release note updated. If any revisions are required, please set the 
"requires_release_notes"  flag to "?" and edit the "Release Notes" field accordingly.
All revisions will be proofread by the Engineering Content Services team.

Diffed Contents:
@@ -1 +1 @@
-During install anaconda may not remove LVM metadata that is already present on the system. This will cause LVM tools to report missing volume groups or logical volumes after the installation is complete. Once the system is up and running you can remove the stale LVM metadata to work around this issue.+During installation anaconda may not remove all the Logical Volume Manager (LVM) meta-data that exists on a system prior to installation. This extra meta-data may cause LVM tools to report missing volume groups or logical volumes after installation. To work around this issue, remove the stale LVM meta-data after the installation is complete.

Note You need to log in before you can comment on or make changes to this bug.